# $Revision: 1.30 $, $Date: 2005/05/22 15:26:02 $
Summary:	KWebGet is a frontend to wget
Summary(pl):	KWebGet - frontend na wget
Name:		kwebget
Version:	0.8.1
Release:	3
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://www.kpage.de/download/%{name}-%{version}.tar.bz2
# Source0-md5:	0143a6e092da11000bafe6c71912247c
Source1:	http://ep09.pld-linux.org/~djurban/kde/kde-common-admin.tar.bz2
# Source1-md5:	e5c75ce22f1525b13532b519ae88e7a4
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-am19.patch
URL:		http://www.kpage.de/en/kwebget/content.html
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 3.0.3
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	wget
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KWebGet is a frontend to wget.

%description -l pl
KWegGet to frontend KDE na wget.

%prep
%setup -q -n %{name} -a1
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub admin
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%{__make} -f admin/Makefile.common cvs
%configure \
	%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
	%endif
	--with-qt-libraries=%{_libdir} \
	--with-qt-includes=/usr/include/qt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_docdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT{%{_datadir}/applnk/Applications/kwebget.desktop,%{_desktopdir}}

%find_lang %{name} --with-kde --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/kwebget.desktop
%{_iconsdir}/*/*/apps/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kwebget.spec,v $
Revision 1.30  2005/05/22 15:26:02  ankry
- fix amd64 build, rel. 3

Revision 1.29  2005/05/21 07:53:29  ankry
- fixed build with automake 1.9*

Revision 1.28  2005/03/28 16:26:23  blekot
- rel. +1 (if needed)
- proper category in applnk/vfolders
- STBR (ready)

Revision 1.27  2005/01/10 08:18:17  adamg
- use updated admin/ and --enable-libsuffix instead of seding configure
  (suggested by djurban)
- drop BuildRequires: sed

Revision 1.26  2005/01/09 20:45:31  adamg
- BuildRequries: sed >= 4.0.0
- release 1

Revision 1.25  2005/01/09 20:40:57  adamg
- uncomment commented out %%ifarch call

Revision 1.24  2005/01/09 20:38:17  adamg
- terminate sed expressions

Revision 1.23  2005/01/09 20:30:08  adamg
- ugly workaround for amd64

Revision 1.22  2005/01/09 19:18:23  adamg
- apply desktop.patch; TODO done

Revision 1.21  2005/01/09 19:13:26  qboosh
- use _iconsdir, _kdedocdir

Revision 1.20  2005/01/09 19:11:08  adamg
- refresh config.sub

Revision 1.19  2005/01/09 17:20:12  adamg
- updated to 0.8.1
- applnk -> vfolder (desktop file needs review)
- release 0.1

Revision 1.18  2003/05/28 12:59:24  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:49:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/01/18 22:53:33  juandon
- removed two lines with define

Revision 1.15  2002/08/31 16:02:15  blues
- cosmetics STBR

Revision 1.14  2002/07/28 23:47:43  blues
- 0.8 - KDE3 port

Revision 1.13  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/21 13:02:51  qboosh
- better fix for docs and icons location

Revision 1.11  2002/02/21 11:44:17  qboosh
- updated to 0.7 (builds with KDE 2), fixed %%files, added BR

Revision 1.10  2002/01/18 02:13:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/04 12:36:50  qboosh
- fixed Group (X11/Applications/Networking), pl translations; TODO: rewrite %%files

Revision 1.8  2001/05/02 21:51:23  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.6  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:18  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.2  2000/03/26 15:46:18  kloczek
- partialy rewrited,
- added "-fno-rtti -fno-exceptions" to C++ compile flags.
